package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.dao.MetaSensorDisplayMappingDAO;
import com.loafle.overflow.module.meta.model.MetaSensorDisplayItem;
import com.loafle.overflow.module.meta.model.MetaSensorDisplayMapping;
import com.loafle.overflow.module.meta.model.MetaSensorItemKey;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by insanity on 17. 11. 7.
 */
@Service("MetaSensorDisplayMappingService")
public class MetaSensorDisplayMappingService {
    @Autowired
    private MetaSensorDisplayMappingDAO mappingDAO;

    public MetaSensorDisplayMapping regist(MetaSensorDisplayMapping m) {
        return this.mappingDAO.save(m);
    }

    public List<MetaSensorItemKey> findAllByDisplayItem(MetaSensorDisplayItem displayItem) {
        return this.mappingDAO.findAllByDisplayItem(displayItem);
    }

}
