package com.loafle.overflow.module.probe.service;

import com.loafle.overflow.module.probe.dao.ProbeHostDAO;
import com.loafle.overflow.module.probe.model.Probe;
import com.loafle.overflow.module.probe.model.ProbeHost;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by snoop on 17. 8. 21.
 */
@Service("ProbeHostService")
public class ProbeHostService {

    @Autowired
    private ProbeHostDAO probeHostDAO;

    public ProbeHost readByProbe(Probe probe) {
        return this.probeHostDAO.findByProbe(probe);
    }

    public ProbeHost regist(ProbeHost probeHost) {
        return this.probeHostDAO.save(probeHost);
    }
}
