package com.loafle.overflow.module.infra.dao;

import com.loafle.overflow.module.infra.model.InfraService;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * Created by insanity on 17. 6. 23.
 */
@Repository
public interface InfraServiceDAO extends JpaRepository<InfraService, Long> {

    @Query("SELECT ins from com.loafle.overflow.module.infra.model.InfraService ins WHERE ins.host.id = (:hostId) AND ins.port = (:portNumber) AND ins.portType = (:portType)")
    InfraService findByService(@Param("hostId") long hostId,@Param("portNumber") int portNumber,@Param("portType") String portType);
}