package com.loafle.overflow.module.meta.dao;

import com.loafle.overflow.module.meta.model.MetaSensorDisplayItem;
import com.loafle.overflow.module.meta.model.MetaSensorDisplayMapping;
import com.loafle.overflow.module.meta.model.MetaSensorItemKey;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by insanity on 17. 11. 7.
 */
@Repository
public interface MetaSensorDisplayMappingDAO extends JpaRepository<MetaSensorDisplayMapping, Short> {

    @Query("SELECT m.itemKey from MetaSensorDisplayMapping m where m.displayItem = (:displayItem)")
    public List<MetaSensorItemKey> findAllByDisplayItem(@Param("displayItem") MetaSensorDisplayItem displayItem);
}
