package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.dao.MetaSensorDisplayItemDAO;
import com.loafle.overflow.module.meta.model.MetaCrawler;
import com.loafle.overflow.module.meta.model.MetaSensorDisplayItem;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by insanity on 17. 9. 20.
 */

@Service("MetaSensorDisplayItemService")
public class MetaSensorDisplayItemService {
    @Autowired
    private MetaSensorDisplayItemDAO displayItemDAO;

    public MetaSensorDisplayItem regist(MetaSensorDisplayItem item) {
        return this.displayItemDAO.save(item);
    }

    public MetaSensorDisplayItem read(long id) {
        return this.displayItemDAO.findOne(id);
    }

    public List<MetaSensorDisplayItem> readAllByCrawler(MetaCrawler crawler) {
        return this.displayItemDAO.findAllByCrawler(crawler);
    }
}
