package com.loafle.overflow.module.domain.service;

import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.domain.model.DomainMember;
import com.loafle.overflow.module.member.model.Member;
import com.loafle.overflow.spring.AppConfigTest;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by snoop on 17. 6. 28.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class DomainMemberServiceTest {

    @Autowired
    private DomainMemberService domainMemberService;

    @Ignore
    @Test
    public void regist() throws Exception {

        DomainMember domainMember = new DomainMember();

        Domain domain = new Domain();
        domain.setId(1);

        Member member = new Member();
        member.setId(1);

        domainMember.setDomain(domain);
        domainMember.setMember(member);

        this.domainMemberService.regist(domainMember);

        Assert.assertNotEquals(domainMember.getId(), 0);

    }

    @Test
    public void readAllMemberByDomain() {

        Domain domain = new Domain();
        domain.setId(1);

        List<Member> members = this.domainMemberService.readAllMemberByDomain(domain);

        Assert.assertNotEquals(members.size(), 0);

        for(Member member : members) {
            System.out.println(member.getEmail());
        }

    }

}